{% extends 'base.html' %}

{% block body %}
<div class="container">
    <div class="row">
        <div class="col-12">
            <h3>Encuesta de satisfacción</h3>
            <h5>Califique su nivel de satisfacción en estos aspectos.</h5>
            <div class="card card-body">

                <table class="table text-center table-striped" style="table-layout: fixed;">
                    <tr>
                        <th></th>
                        <th>Deficiente<br>0</th>
                        <th><br>1</th>
                        <th><br>2</th>
                        <th><br>3</th>
                        <th><br>4</th>
                        <th><br>5</th>
                        <th><br>6</th>
                        <th>Excelente<br>7</th>
                    </tr>
            <form action="{% url 'enviar_encuesta' id_pedido=pedido %}" method="post">
                    {% for pregunta in preguntas %}
    
                    <tr>
                        <td class="text-left">{{pregunta.Nombre}}</td>
                        {% for i in '01234567'|make_list %}
                        <td>
                            <input type="radio" name="pregunta{{pregunta.Id}}" value="{{i}}" required>
                        </td>
                        {% endfor %}
                    </tr>
                    {% endfor %}
                </table>
            </div>
                {% csrf_token %}
                <div class="text-right">
                    <br>
                    <input type="submit" value="Enviar respuestas" class="btn btn-success">
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}